smartmontools (7.0-0~mx17) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Mon, 18 Mar 2019 10:14:33 -0400

smartmontools (6.6-1) unstable; urgency=medium

  [ Jonathan Dowland ]
  * Update Vcs-* headers in control file: replace Alioth/anonscm URIs
    with salsa.debian.org.
  * new upstream version. Closes: #889033.
  Patches refreshed:
    - 61_cciss-doc.patch
    Patches removed:
    - 50_manpage_improvements.diff
    - 3w-sas (merged by upstream)
    - 60_remove-redhatism.diff (removed by upstream)

  [ SZ Lin (林上智) ]
  Patches refreshed:
    - 52_remove-pragma.diff
    - 53_use-smartd-runner-by-default.diff
    - 54_remove-Id-from-smartd.conf.diff
    - 61_cciss-doc.patch
    - 63_removable.patch
    - kfreebsd.patch
    - manpage.diff
    - removesyslogtarget.patch

  [ Jonathan Dowland ]
  * Bump debhelper dependency to 11, remove dh-systemd (deprecated)
    in favour of dh_installsystemd

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 15 Oct 2018 21:03:35 +0100

smartmontools (6.5+svn4324-1) unstable; urgency=low

  * [a86ec89] Imported Upstream version 6.5+svn43204 (Closes: #831504)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 30 Jul 2016 19:10:13 +0200

smartmontools (6.4+svn4214-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS. (Closes: #794035)
    + Pass --build and --host to configure

  [ Tobias Frost ]
  * Import patch from Helmut (see above)
  * Remove '/var/lib/smartmontools' on purge (Closes: #766145)
  * Fixed postinst script: Version is only valid when configuring.
    (Closes: #766146)

  [ Jonathan Dowland ]
  * Portability improvements, thanks Robert Millan. Closes: #634506.
  * Update debian/copyright to Format 1.0., resolve GPL-2/GPL-2+
    ambiguity. Closes: #777583.
  * Get rid of update-smart-drivedb. Closes: #783317, #804299, #706909.
  * Bump standards version (no further changes required)
  * Enhance rules clean target to make repeated builds easier
  * Stop installing duplicate/irrelevant docs (COPYING, changelog, INSTALL)
  * add 'set -e' to postrm.
  * Switch to xz for orig.tar compression and update get-orig-source rule.
  * Stop passing explicit runlevels to dh_installinit. Closes: #732045.
  * Remove duplicate use of dh_systemd_enable: The second one should have
    been dh_systemd_start. Closes: #813102.
  * Various manpage improvements. Thanks Bjarni Ingi Gislason.
    Closes: #669053.

 -- Jonathan Dowland <jmtd@debian.org>  Thu, 04 Feb 2016 23:21:58 +0000

smartmontools (6.4+svn4109-1) unstable; urgency=medium

  * New upstream version. Closes: #789721.
  * Add myself to uploaders.
  * refresh 54_remove-Id-from-smartd.conf.diff and 61_cciss-doc.patch

 -- Jonathan Dowland <jmtd@debian.org>  Wed, 18 Nov 2015 19:52:41 +0000

smartmontools (6.3+svn4002-2) unstable; urgency=low

  * [12d5f9d] Correct maintscript syntax (Closes: #766178)

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 21 Oct 2014 13:30:40 +0200

smartmontools (6.3+svn4002-1) unstable; urgency=low

  * [03a62f0] Set EnvironmentFile=-/etc/default/smartmontools in smartd.service
    (Closes: #764136)
  * [59c55ae] Remove /etc/smartd_warning.sh (Closes: #765519)
  * [1d06b80] Imported Upstream version 6.3+svn4002
  * [1aabc0a] Do not build-depends on hardening-wrapper,
    instead use the new buildflags.mk file

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 17 Oct 2014 15:55:45 +0200

smartmontools (6.3+svn3990-1) unstable; urgency=low

  * [d2e702c] Imported Upstream version 6.3+svn3990
    - Support for TOSHIBA STOR.E Plus 2 TB (0x0480:0xa00a) (Closes: #734395)
  * [901fe9c] Refreshed patches
  * [9804b75] Included systemd service file.
    Thanks to Michael Stapelberg (Closes: #639631, #757973, #762039)
  * [a64e022] Remove the obsolete bug helper (Closes: #757975)
  * [3478a98] moved smartd_warning.sh in
    /usr/share/smartmontools/smard_warning.sh (Closes: #710815)
  * [a5a9d5b] Removed source less os_solaris_ata.s (Closes: #729842)
  * [fb337c9] Update to Standards-Version 3.9.5, no changes need
  * [6a8e2b9] smartd.service.in: declaring After=syslog.target is unnecessary
    by now because syslog is socket-activated and will therefore be started
    when needed

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 05 Oct 2014 10:58:13 +0200

smartmontools (6.2+svn3841-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724436)

 -- Eric Dorland <eric@debian.org>  Sun, 16 Feb 2014 16:27:11 -0500

smartmontools (6.2+svn3841-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD. (Closes: #736660)

 -- Robert Millan <rmh@debian.org>  Thu, 06 Feb 2014 13:48:48 +0100

smartmontools (6.2+svn3841-1) unstable; urgency=low

  * [3d17a85] Imported Upstream version 6.2+svn3841
  * [8251afb] Fix  FTBFS[kfreebsd]
    Thanks to Christoph Egger (Closes: #717567)
  * [e57fafb] Refreshed patches

 -- Giuseppe Iuculano <iuculano@debian.org>  Thu, 05 Sep 2013 14:53:36 +0200

smartmontools (6.1+svn3812-1) unstable; urgency=low

  * [ee38a43] Imported Upstream version 6.1+svn3812 (Closes: #691646)
    - Support for WD MyBook Essential 0x1058:0x0910 (Closes: #633724)
    - Added  USB bridge to known IDs (Closes: #643928)
    - Added support for Seagate Expansion Desk external (usb) disks
      (Closes: #621411)
  * [1855d63] Refreshed patches and removed patches applied upstream
  * [d3fc9d1] Remove quilt from depends
  * [841c1a8] CHANGELOG file has been renamed, install Changelog
  * [3502e16] Updated VCS control fields
  * [8f14e44] debian/rules: Provide build-arch and build-indep
  * [0f1c16c] Harden smartmontools binaries
  * [555346e] Bump to 3.9.4 standards version
  * [5ae3fa9] Use /var/lib/smartmontools/drivedb for drivedb.h updates
    (Closes: #706909)
  * [c16ffdc] Create  /var/lib/smartmontools/drivedb dir
  * [79a3dc2] Trigger the removal of /etc/init.d/smartd when upgrading
    (Closes: #684617, #704081)
  * [a0a5725] Also remove /etc/init.d/smartd in preinst script
  * [a26a490] Added man page for update-smart-drivedb.
    Thanks to Hannes von Haugwitz (Closes: #708433)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 02 Jun 2013 11:14:02 +0200

smartmontools (5.42+svn3561-3) unstable; urgency=high

  * [f10872d] Really fix FTBFS on kfreebsd.
    Thanks to Petr Salinger (Closes: #677393)

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 16 Jul 2012 15:21:56 +0200

smartmontools (5.42+svn3561-2) unstable; urgency=high

  * [743e0f4] Fixed FTBFS in kfreebsd.
    Thanks to Petr Salinger (Closes: #677393)

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 16 Jul 2012 12:06:15 +0200

smartmontools (5.42+svn3561-1) unstable; urgency=low

  * [f4e463d] Imported Upstream version 5.42+svn3561
  * [23f7a2f] Refreshed patches
  * [16216c8] Fixed FTBFS on kfreebsd.
    Thanks to Petr Salinger (Closes: #676142)
  * [6652700] Fixed regression introduced in 10mail script (Closes: #649515)
  * [fd647e5] Remove /etc/init.d/smartd (Closes: #677095)

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 20 Jun 2012 16:36:24 +0200

smartmontools (5.42+svn3539-1) unstable; urgency=low

  * [e165493] Imported Upstream version 5.42+svn3539
    (Closes: #668391, #608953)
  * [9fcd449] Refreshed patches
  * [65c801f] Do not install upstream init (Closes: #631075)
  * [9a19418] Fixed check for /usr/bin/mail.
    Thanks to Martin von Gagern (Closes: #649515)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 12 May 2012 13:02:49 +0200

smartmontools (5.41+svn3365-1) unstable; urgency=low

  * [a7e8ffe] Imported Upstream version 5.41+svn3365
  * [471d14a] Refreshed patches, removed install.diff applied upstream
  * [fae0ec9] Added a missing include for hurd-i386.
    Thanks to Pino Toscano (Closes: #619208)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 19 Jun 2011 17:28:10 +0200

smartmontools (5.40+svn3296-1) unstable; urgency=low

  * [cfbba5b] Imported Upstream version 5.40+svn3296
    - Intel X18-M/X25-M/X25-V G2 SSDs: Add firmware bug warning
      (Closes: #581996)
    - handles missing attributes and prints attributes of SandForce based SSDs
      correctly (Closes: #601258)
    - Added a note about smartctl is unable to print a warning if autosave is
      disabled (Closes: 570892)
    - Print help message if no option is specified (Closes: 435579)
    - Only some of the controller specific parts of the code may still use the
      old ioctl (LP: #658469)
    - New drive database entry for F4EG (LP: #684809)
  * [b5b85ba] Refreshed patches
  * [2b7f0f1] Update to Standards-Version 3.9.1, no changes needed
  * [3ed7206] debian/rules: remove make -C examplescripts
  * [f8250f3] Pass exampledir in configure
  * [0711e68] Install examples files and update-smart-drivedb (Closes: #607689)
    (Closes: #593502)
  * [f36e375] Do not install CHANGELOG COPYING INSTALL and initd files
  * [a76819a] Re-enabled capability-dropping on armel (Closes: #552044)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 20 Mar 2011 19:09:39 +0100

smartmontools (5.39.1+svn3124-2) unstable; urgency=low

  [ Florian Weimer ]
  * [88b6d44] 3w-sas support (from upstream changeset r3128) (Closes:
    #604016)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 26 Dec 2010 12:26:16 +0100

smartmontools (5.39.1+svn3124-1) unstable; urgency=low

  * [1e46e09] Set state and attribute file directory to
    /var/lib/smartmontools/ (Closes: #582158)
  * [e20147c] Don't warn about being disabled unless verbose (Closes: #583386)
  * [3390c07] Fixed example path in man pages (Closes: #588134)
  * [e9583e0] Imported Upstream version 5.39.1+svn3124
  * [789e123] Refreshed patches
  * [cbecf14] Bump to Standards-Version 3.9.0, no changes needed

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 13 Jul 2010 13:16:54 +0200

smartmontools (5.39.1+svn3077-1) unstable; urgency=low

  * [ffe62ea] Removed powersaved from Suggests (Closes: #570956)
  * [7f0798e] Imported Upstream version 5.39.1+svn3077 (Closes: #575435)
  * [b1b3452] Enabled drivedb, savestates, and attributelog
  * [9f28fd4] Switch to dpkg-source 3.0 (quilt) format
  * [52be6ce] Updated to Standards-Version 3.8.4, no changes needed

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 26 Mar 2010 22:01:58 +0100

smartmontools (5.39.1+svn3060-1) unstable; urgency=low

  * [a23d511] Imported Upstream version 5.39.1+svn3060
    - A regression caused by capabilities was fixed. (Closes: #564876)
  * [89c9890] Removed patches merged in upstream

 -- Giuseppe Iuculano <iuculano@debian.org>  Thu, 04 Feb 2010 08:16:37 +0100

smartmontools (5.39-3) unstable; urgency=low

  * [3d32778] Fixed quietmode option (Closes: #545784)
  * [e66f4fd] Allow smartd 'DEVICESCAN -d sat' (Closes: #546566)

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 22 Jan 2010 20:02:53 +0100

smartmontools (5.39-2) unstable; urgency=low

  * [f7f4c51] Fixed crash on kfreebsd. (Closes: #561113) - thanks to
    Petr Salinger and Axel Beckert

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 26 Dec 2009 11:11:58 +0100

smartmontools (5.39-1) unstable; urgency=low

  * [e9e8c2b] Imported Upstream version 5.39
  * [b00706e] Adeed libusb2-dev for kfreebsd in Build-Depends.
    (Closes: #560241)

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 14 Dec 2009 12:24:35 +0100

smartmontools (5.38+svn2993-1) unstable; urgency=low

  * [bed9426] Imported Upstream version 5.38+svn2993
  * [4a5d1d1] Fixed status action in init script (LP: #491324)
  * [9dd2a1d] Add selinux for avr32 in build-depends
  * [26ec4bc] Refreshed patches

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 09 Dec 2009 17:45:19 +0100

smartmontools (5.38+svn2956-1) unstable; urgency=low

  * [283f281] Updated my email address and removed DM-Upload-Allowed
    control field
  * [eb07ddf] Imported Upstream version 5.38+svn2956
    + Added a note in smartctl (8) about 2^16 wrap of LifeTime value in
      Self-test log. (Closes: #535298)
  * [ed382e8] Refreshed patches
  * [f4ff277] Updated lowcap patch, make capabilities optional and
    clarify that mail notification could not work when used. (Closes:
    #544940)
  * [a7e19a3] Do not Build-depends in libcap-ng-dev in armel, libcap-ng
    is broken in this arch. (Closes: #548438)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 11 Oct 2009 09:42:47 +0200

smartmontools (5.38+svn2920-2) unstable; urgency=low

  * [a117ede] Enable Selinux only in linux platforms

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 22 Sep 2009 13:22:39 +0200

smartmontools (5.38+svn2920-1) unstable; urgency=low

  * [a94eb83] run.d/10mail: Do not exit silently if /usr/bin/mail is
    missing (Closes: #541192) - thanks to Francesco Potorti`
  * [0197215] Enabled SELinux support
  * [091eb3a] debian/smartmontools-bug: Fixed a spelling error (Closes:
    #547197) - thanks to Sandro Tosi
  * [5496574] Imported Upstream version 5.38+svn2920
  * [5d593fa] Removed patches merged in upstream: 64_r2898.patch,
    65_freebsd.patch

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 20 Sep 2009 14:51:52 +0200

smartmontools (5.38+svn2879-4) unstable; urgency=low

  * [af11f9b] debian/patches/65_freebsd.patch: The os_freebsd.cpp uses
    reallocf(), which is specific for *BSD libc. Added an implementation
    directly into os_freebsd.cpp - thanks to Petr Salinger
  * [b2a680f] debian/watch: Removed uupdate
  * [4fe54cf] Do not Build-depends on libcap-ng-dev on avr32

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 07 Sep 2009 20:55:53 +0200

smartmontools (5.38+svn2879-3) unstable; urgency=low

  * [1b75411] Freebsd patch was not entirely merged in upstream. Applied
    remaining changes and try to fix FTBFS on GNU/kFreeBSD (Closes: #537856)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 07 Sep 2009 15:33:34 +0200

smartmontools (5.38+svn2879-2) unstable; urgency=low

  * [51c0fd9] Build-depends on libcap-ng-dev only on linux. - thanks to
    Petr Salinger
  * [94843b0] Fixed Vcs-Browser field
  * [c2d3bf4] Do not Build-depends on libcap-ng-dev on sparc
  * [27a32a3] Dereference '/dev/disk/by-*/*' symlink before device type
    autodetection. (Closes: #544823)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 07 Sep 2009 14:24:17 +0200

smartmontools (5.38+svn2879-1) unstable; urgency=low

  [ Guido Günther ]
  * [d5c8d71] suggest graphical helpers (Closes: #524752)
  * [b11b96e] support status action in init script (Closes: #525196) -
    thanks to Peter Eisentraut
  * [b092558] fix Vcs-Browser URL

  [ Giuseppe Iuculano ]
  * [101b745] New maintainers, thanks to Guido Günther for the prior
    work on smartmontools. (Closes: #543861)
  * [35bece3] debian/rules: Added a get-orig-source target to retrieve a
    svn snapshot
  * [4482c05] Bump to debhelper 7 compatibility levels
  * [2127e19] Imported Upstream version 5.38+svn2879
    - Fixed FTBFS (Closes: #539430)
    - GNU/kFreeBSD patches merged in upstream (Closes: #537856)
    - More drives recognized: Fujitsu MHW2 BJ series, WD Caviar Black family,
      Western Digital AV-GP series, Transcend Solid-State Drive and Transcend
      Solid-State Drive V series, Seagate Momentus 5400.5 series.
  * [6052436] Refreshed patches
  * [91ad575] move badblockhowto.html in debian/ (Closes: #538631)
  * [bbdf8c9] debian/control: Depend on lsb >= 3.2-14, which has the
    status_of_proc() function.
  * [9afe5af] Removed stop links from rc0 and rc6 (Closes: #494951) -
    thanks to James Westby
  * [6dcd8ec] Updated to standards version 3.8.3 (No changes needed)
  * [608687b] debian/rules: Use dh_prep instead of dh_clean -k
  * [a52f90d] debian/rules: Do not ignore make clean errors
  * [31e40f7] debian/rules: use dh_install to install files
  * [9ca7a79] debian/control: Added Florian Maier in Uploaders, fixed
    VCS field, added DM-Upload-Allowed field
  * [d494f00] Updated debian/badblockhowto.html (Closes: #540359) -
    thanks to Francesco Potorti`
  * [3db595a] Use the `-n standby' option by default in smartd.conf
    (Closes: #531325)
  * [52b4501] Added /etc/smartmontools/run.d/10powersave-notify to
    enable desktop notification over powersave-notify and added
    powersaved in Recommends
  * [0dcf301] debian/patches/62_lowcap.patch: Drop all unnecessary
    capabilities
  * [5afdd10] Added the removable option by default. This indicates to
    smartd that it should continue if the device does not appear to be
    present when smartd is started. (Closes: #406130)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 01 Sep 2009 12:59:13 +0200

smartmontools (5.38-3) unstable; urgency=low

  * [3ea288e] add Homepage, Vcs-{Git,Browser} fields (Closes: #500530)
  * [76a9163] check if daemon is running befor starting it (Closes: #516430)
  * [8a3e8a3] fix maintainer name

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Feb 2009 17:19:19 +0100

smartmontools (5.38-2) unstable; urgency=low

  * [fd9c675] add lintian override Full stop at end of synopsis is OK -
    it doesn't end a sentence but is part of an abbreviation.
  * [fab76b4] update copyright
  * [1731d9e] bump standards version
  * [d0f2f2e] add README.source
  * [2d3e4b9] new patch 61_cciss-doc.patch update ccis examples/docs
    (Closes: #488371) - thanks to Matt Taggart

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 24 Jul 2008 12:15:34 -0400

smartmontools (5.38-1) unstable; urgency=low

  * new upstream version
  * drop 51_add-kfreebsd-support.diff, applied upstream
  * add watch file from dehs.debian.org

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 11 Mar 2008 20:54:41 +0100

smartmontools (5.38~rc0-2) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * smartmontools: Problem with LSB header in init.d script (Closes:
    Bug#469377)

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 05 Mar 2008 08:55:46 +0100

smartmontools (5.38~rc0-1) unstable; urgency=low

  * New Upstream Version release candidate
      * detects Hitachi drives with newer kernels (Closes: #314629)
      * updated drives table (Closes: #381251)
  * correct logfile location (Closes: #464193)
  * drop 01_sat-error-handling.diff - originally pulld from upstream
  * drop 05_wait-for-daemon-startup.diff - applied upstream
  * refresh 51_add-kfreebsd-support.diff
  * bump standards version
  * ship badblockshowto.html (Closes: #454565)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 26 Feb 2008 11:59:50 +0100

smartmontools (5.38~cvs20071118-2) experimental; urgency=low

  * add LSB header (Closes: #458391)
  * move debian specific patches to >= 50
  * pull 01_sat-error-handling.diff from upstream CVS to improve SAT
    handling of aborted ATA commands - thanks to Doug Gilbert!

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 09 Dec 2007 14:51:57 +0100

smartmontools (5.38~cvs20071118-1) experimental; urgency=low

  * new upstream CVS snapshot 20071118
  * update patches:
     * rework 01_add-kfreebsd-support.diff to apply again
     * rework 05_wait-for-daemon-startup.diff to apply again
     * rediff 10_remove-redhatism.diff
     * drop 20_fix-scsi-disk-detection.diff - merged upstream
     * drop 30_gcc4.3.diff - fixed upstream
     * drop 40_fix-sata-hsm-violation.diff - pulled from upstream

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 19 Nov 2007 13:54:42 +0100

smartmontools (5.37-6) unstable; urgency=low

  * don't redefine CISS_MAX_LUN (Closes: #441598)
  * Patch pulled from upstream to fix HSM violation errors on SATA systems
    (Closes: #448781) - thanks to Sven Hartge for sorting this out

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 01 Nov 2007 13:29:11 +0100

smartmontools (5.37-5) unstable; urgency=low

  * NEWS.Debian: SCSI disks need -W for temperature logging, thanks to GSR for
    feedback and testing. (Closes: #411932)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 05 Apr 2007 10:15:52 +0200

smartmontools (5.37-4) unstable; urgency=low

  * 05_wait-for-daemon-startup.diff: fix startup race condition (Closes: #246032)
  * document good testing practice (Closes: #412543)

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 31 Mar 2007 16:01:27 +0200

smartmontools (5.37-3) unstable; urgency=low

  * rebuild with pbuilder (Closes: #415950)

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 23 Mar 2007 13:51:43 +0100

smartmontools (5.37-2) unstable; urgency=low

  * switch from dpatch to quilt
  * 20_fix-scsi-disk-detection.diff: patch from Douglas Gilbert to fix scsi
    disk detection (Closes: #411932)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 19 Mar 2007 23:04:15 +0100

smartmontools (5.37-1) unstable; urgency=low

  * New Upstream Version
  * adjusted 04_remove-Id-from-smartd.conf.dpatch

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 21 Dec 2006 13:12:26 +0100

smartmontools (5.37~cvs20061111-1) experimental; urgency=low

  * The No Narro ihr Mäschkerle release
  * New upstream cvs release candidate (Closes: #398055, #398054, #391999)
  * dropped 60_cciss.dpatch, merged upstream
  * adjusted 04_remove-Id-from-smartd.conf.dpatch

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 11 Nov 2006 19:19:27 +0100

smartmontools (5.37~cvs20061002-1) experimental; urgency=low

  * New upstream CVS release candidate
  * adjusted patches: 60_cciss, 04_remove-Id-from-smartd.conf

 -- Guido Guenther <agx@sigxcpu.org>  Mon,  2 Oct 2006 17:45:51 +0200

smartmontools (5.36-8) unstable; urgency=low

  * 60_cciss (smartd.c): make sure we pass the correct mode and device
    parameters to the lower level functions (the code assumed "SCSI" in those
    places although it was "CCISS"). Patch by Frédéric BOITEUX
    <fboiteux@calistel.com>, thanks a lot! (Closes: #36802)

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 29 Sep 2006 15:22:19 +0200

smartmontools (5.36-7) unstable; urgency=low

  * README.Debian: actually mention the term "smartd-runner" in README.Debian
    instead of only explaining what it does
  * /etc/init.d/smartmontools: use LSB logging, patch by David Härdeman
    <david@hardeman.nu> (Closes: #385903)
  * Bump standards version to 3.7.2 (no other changes necessary) 

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 25 Sep 2006 11:41:21 +0200

smartmontools (5.36-6) unstable; urgency=low

  * Explicitly discourage using enable_smart with SATA disks in README.Debian
    (Closes: #365027) - many thanks to Francois Marier and Doug Gilbert for
    their feedback and help.
  * Document what smartd-runner really does (Closes: #352244)

 -- Guido Guenther <agx@sigxcpu.org>  Wed,  3 May 2006 21:44:01 +0200

smartmontools (5.36-5) unstable; urgency=low

  * apply current version of the cciss patch, updated to be less intrusive
    by Douglas Gilbert

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 26 Apr 2006 23:10:07 +0200

smartmontools (5.36-4) unstable; urgency=low

  * really apply the cciss patch, thanks again to Frederic Boiteux
  * adjust the cciss patch to include <linux/cciss.h> instead of
    "cciss.h", we don't ship a local copy.

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 25 Apr 2006 13:54:17 +0200

smartmontools (5.36-3) unstable; urgency=low

  * depend on debianutils (>= 2.2) for run-parts --lsbsysinit, thanks to
    Frederic Boiteux (Closes: #364713)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 25 Apr 2006 10:59:37 +0200

smartmontools (5.36-2) unstable; urgency=low

  * Build depend on automake/autoconf since we run autogen.sh 
    from debian/rules

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 24 Apr 2006 16:02:42 +0200

smartmontools (5.36-1) unstable; urgency=low

  * new upstream version (Closes: #363087)
  * use dpatch
  * bump standards version
  * update cciss patch

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 24 Apr 2006 14:39:19 +0200

smartmontools (5.33+5.34cvs20050802-6) experimental; urgency=low

  * update cciss patch to also support smartd not only smartctl

 -- Guido Guenther <agx@debian.org>  Thu, 13 Apr 2006 09:34:39 +0200

smartmontools (5.33+5.34cvs20050802-5) experimental; urgency=low

  * add (experimental) cciss patch by Praveen Chidambaram
    <bunchofmails@gmail.com>, with slight modfifications to apply and work
    with current CVS
  * Build depend on libcam-dev for kfreebsd-amd64 too (Closes: #361478)
  * Remove $Id$ from smartd.conf (Closes: #324703)

 -- Guido Guenther <agx@debian.org>  Mon, 10 Apr 2006 17:33:18 +0200

smartmontools (5.33+5.34cvs20050802-4) unstable; urgency=low

  * avoid usage of cat in 10mail (Closes: #327338)
  * add patch by Aurelin Jano to build on kfreebsd (Closes: #327642) 

 -- Guido Guenther <agx@debian.org>  Tue, 24 Jan 2006 09:56:28 +0100

smartmontools (5.33+5.34cvs20050802-3) unstable; urgency=low

  * add note about 3ware raid controlers to NEWS.Debian (Closes: #322265)

 -- Guido Guenther <agx@debian.org>  Thu, 11 Aug 2005 11:04:56 +0200

smartmontools (5.33+5.34cvs20050802-2) unstable; urgency=low

  * rules: make ./configure executable (Closes: #321060)
  * smartd.conf: add smartd-runner to the default DEVICESCAN directive
  * README.Debian: mention smartd-runner
  * control: remove debianutils, it's an essential package

 -- Guido Guenther <agx@debian.org>  Wed,  3 Aug 2005 11:32:53 +0200

smartmontools (5.33+5.34cvs20050802-1) unstable; urgency=low

  * New CVS snapshot as of 2005-08-02 (Closes: #269051)

  * added smartd-runner which runs scripts in /etc/smartmontools/run.d
  * added /etc/smartmontools/run.d/10mail to emulate smartd's -m option
  * add a comment on howto use this to /etc/smartd.conf
  * Many thanks for this go to Brian Sutherland <jinty@web.de>

 -- Guido Guenther <agx@debian.org>  Tue,  2 Aug 2005 20:58:47 +0200

smartmontools (5.33-1) experimental; urgency=low

  * new upstream version
  * upload to experimental since we want 5.32 in sarge for now

 -- Guido Guenther <agx@debian.org>  Sat, 20 Nov 2004 19:52:39 +0100

smartmontools (5.32-2) unstable; urgency=medium

  * urgency medium since the sarge version is unusable on arm
  * use __attribute__((packed)) instead of #pragma(packed) since the later
    causes alignment problems on arm - based on a patch by armcc@lycos.com,
    many thanks! (Closes: #278459)
  * simplify /usr/share/bug/smartmontools a bit (Closes: #262055)

 -- Guido Guenther <agx@debian.org>  Thu, 28 Oct 2004 09:20:57 +0200

smartmontools (5.32-1) unstable; urgency=low

  * new upstream version

 -- Guido Guenther <agx@debian.org>  Mon, 19 Jul 2004 10:57:53 +0200

smartmontools (5.30-6) unstable; urgency=low

  * be more verbose in /etc/init.d/smartmontools iff smartd has been disabled
    via /etc/default/smartmontools (Closes: #246615)
  * explain removal of cron selftests in NEWS.Debian (Closes: #247622)

 -- Guido Guenther <agx@debian.org>  Thu,  6 May 2004 09:05:40 +0200

smartmontools (5.30-5) unstable; urgency=low

  * rm selftests from CVS, so they don't get picked up by cvs-buildpackage
    (Closes: #242580), sigh
  * thanks again to Jean-Luc Coulon and Bruce Allen for resolving #208964

 -- Guido Guenther <agx@debian.org>  Wed,  7 Apr 2004 19:07:58 +0200

smartmontools (5.30-4) unstable; urgency=low

  * improve restart in init.d script so that smartd can shut down
    properly (Closes: #242344)
  * remove cron selftests at all, use smartd's -s option instead

 -- Guido Guenther <agx@debian.org>  Tue,  6 Apr 2004 12:18:52 +0200

smartmontools (5.30-3) unstable; urgency=low

  * deprecated cron selftests, this is now better handled by smartd's "-s"
    option
  * check for existence of smartmontools-selftests in cron.d snippet
  * in accordance with upstream (who adopted our naming scheme) use smartd's
    compiled in default values in /etc/default/smartmontools

 -- Guido Guenther <agx@debian.org>  Sat, 27 Mar 2004 07:11:12 +0100

smartmontools (5.30-2) unstable; urgency=low

  * clarify usage of enable_smart in (Closes: #239737)
  * add reload to /etc/init.d/smartmontools

 -- Guido Guenther <agx@debian.org>  Thu, 25 Mar 2004 14:43:33 +0100

smartmontools (5.30-1) unstable; urgency=low

  * new upstream version (Closes: #238790)
  * logging severity fixed upstream (Closes: #234519)

 -- Guido Guenther <agx@debian.org>  Tue, 23 Mar 2004 00:40:25 +0100

smartmontools (5.26-5) unstable; urgency=low

  * install /u/s/bug/smartmontools as reportbug helper
  * use install instead of cp/chmod
  * remove no longer needed debian/dirs

 -- Guido Guenther <agx@debian.org>  Wed, 11 Feb 2004 19:08:49 +0100

smartmontools (5.26-4) unstable; urgency=low

  * remove sections not relevant on debian systems from smartd.8.in manpage
  * include /etc/smartd.conf again, thanks Wolfram Quester.
  * change smartd.conf to only use DEVICESCAN 

 -- Guido Guenther <agx@debian.org>  Tue,  3 Feb 2004 15:25:32 +0100

smartmontools (5.26-3) unstable; urgency=low

  * The "where did the chmod go" release
  * make sure selftests is executable (Closes: #223627)

 -- Guido Guenther <agx@debian.org>  Thu, 11 Dec 2003 12:33:56 +0100

smartmontools (5.26-2) unstable; urgency=low

  * actually include /usr/share/smartmontools/selftests again

 -- Guido Guenther <agx@debian.org>  Tue,  9 Dec 2003 12:45:22 +0100

smartmontools (5.26-1) unstable; urgency=low

  * new upstream version

 -- Guido Guenther <agx@debian.org>  Fri,  5 Dec 2003 22:12:33 +0100

smartmontools (5.1.18-3) unstable; urgency=low

  * make sure /usr/share/smartmontools/selftests is executable

 -- Guido Guenther <agx@debian.org>  Wed, 12 Nov 2003 01:08:20 +0100

smartmontools (5.1.18-2) unstable; urgency=low

  * Conflict: ucsc-smartsuite (Closes: #218573)
  * introduce run_cron_selftests in /etc/defaults/smartmontools which
    contains a list of devices to run regular selftests on via cron

 -- Guido Guenther <agx@debian.org>  Mon,  3 Nov 2003 22:36:34 +0100

smartmontools (5.1.18-1) unstable; urgency=low

  * new upstream version
  * bump Standards-Version to 3.6.1

 -- Guido Guenther <agx@debian.org>  Thu, 28 Aug 2003 21:54:06 +0200

smartmontools (5.1.16-1) unstable; urgency=low

  * new upstream version
    - log normal exit at LOG_INFO, not LOG_CRIT (Closes: #201173)
    - allows to acces disks behind 3ware RAID controllers, maybe 
      closes: #188515, the submitter never specified any details.
  * bump Standards-Version to 3.6.0
  * add NEWS.Debian file

 -- Guido Guenther <agx@debian.org>  Thu,  7 Aug 2003 13:54:26 +0200

smartmontools (5.1.14-1) unstable; urgency=low

  * new upstream version
  * fix the regexp in smartmontools-cron matching the first disk only
  * bump Standards-Version to 3.5.10

 -- Guido Guenther <agx@debian.org>  Sun, 22 Jun 2003 14:07:11 +0200

smartmontools (5.1.11-1) unstable; urgency=low

  * new upstream version (Closes: #191831)
  * rework debian/rules since we can now pass most of the
    needed options to the Makefile

 -- Guido Guenther <agx@debian.org>  Wed,  7 May 2003 21:43:53 +0200

smartmontools (5.1.10-1) unstable; urgency=low

  * new upstream version (Closes: #186213)
  * add ${misc:Depends} to control file
  * bump debhelper Build-Depends to >=4
  * bump Standards-Version to 3.5.9
  * smartd now writes a pidfile, use it in the init script
  * add smartd_opts to /etc/defaults/smartmontools 
  * add cron.daily example

 -- Guido Guenther <agx@debian.org>  Mon, 21 Apr 2003 19:32:46 +0200

smartmontools (5.1.9-3) unstable; urgency=low

  * init.d script prints more sensible error messages (Closes: #187697)

 -- Guido Guenther <agx@debian.org>  Sat,  5 Apr 2003 19:17:43 +0200

smartmontools (5.1.9-2) unstable; urgency=low

  * /etc/init.d/smartmontools cleanup:
    - Don't fail when the package was removed but not purged
      (Closes: #186091).
    - sleep 1 second on restart
    - fix wrong scriptname in usage output
  * install smartd.conf to /etc
  * adjust README.Debian
  * don't install CHANGELOG, dh_installchangelogs handles this for us

 -- Guido Guenther <agx@debian.org>  Mon, 24 Mar 2003 19:24:53 +0100

smartmontools (5.1.9-1) unstable; urgency=low

  * new upstream version (Closes: #178151)
  * Recommends: mailx | mailutils (Closes: #184890)
  * add '-e' to shebang line of init script
  * use debian/compat not DH_COMPAT 

 -- Guido Guenther <agx@debian.org>  Sat, 15 Mar 2003 12:40:04 +0100

smartmontools (5.1.4-2) unstable; urgency=low

  * remove 'function' bashism from initscript (Closes: #178411),
    Thanks Martin Waitz.

 -- Guido Guenther <agx@debian.org>  Sun, 26 Jan 2003 00:52:49 +0100

smartmontools (5.1.4-1) unstable; urgency=low

  * new upstream version
  * turn on S.M.A.R.T. for devices listed in enable_smart
  * honor DEB_BUILD_OPTIONS 
  * bump standards version to 3.5.8

 -- Guido Guenther <agx@debian.org>  Sat, 25 Jan 2003 19:40:14 +0100

smartmontools (5.1.1-3) unstable; urgency=low

  * conflict with smartsuite (Closes: #178010)
  * remove superflous whitespaces in description
  * remove usr/bin from debian/dirs

 -- Guido Guenther <agx@debian.org>  Fri, 24 Jan 2003 00:51:26 +0100

smartmontools (5.1.1-2) unstable; urgency=low

  * only start smartd if start_smartd=yes in /etc/default/smartmontools.
  * initial upload (Closes: #174828).

 -- Guido Guenther <agx@debian.org>  Fri, 17 Jan 2003 23:04:50 +0000

smartmontools (5.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Guido Guenther <agx@debian.org>  Tue, 14 Jan 2003 12:58:00 +0000

